﻿/*
//Dans l'init de la mission:
if(isserver) then {
	 compteur_civils_tues = 0;
	 publicVariable"compteur_civils_tues";
};



//Dans le module de vie civil:
[
	bis_alice_mainscope,
	"ALICE_civilianinit",
	[{
		_this addeventhandler ["killed",{
			if(isserver) then {
				_civ = _this select 0;
				_killer = _this select 1;
				nul=[_civ,_killer]execVM"compteur_civ_tue.sqf";
			};
		}]
	}]
] call bis_fnc_variablespaceadd;

//Si on ajoute des civils sans le menu du module => on peut passer par un délcencheur:
	//mettre en activation civile
	//le rayon 50000 * 50000 par exemple (doit englober toute la zone de jeu), par exemple
	//condition laisser le "this"
	//A mttre dans un surcativation de déclencheur:
			{_x addeventhandler ["killed",{
				if(isserver) then {
					_civ = _this select 0;
					_killer = _this select 1;
					nul=[_civ,_killer]execVM"compteur_civ_tue.sqf";
				};
			}] } foreach thislist; 
*/

//Le script:
/*
L'envent handler "killed" connait un bug lorsqu'on écrase un civil avec un véhicule.
En effet lorsqu'un joueur écrase un civil, la commande renvois une information qui dit que le civil s'est tué (_killer == _civ).
Nous devrons donc faire deux parties dans le script:
-1ere partie pour le kill directe avec une arme par exemple et dans ce cas il suffit de voir si le tueur est un joueur (isplayer _killer)
-2eme partie pour le kill indirect (écrasé par une voiture). On sait que notre commande nous renvoie (_killer == _civ). en cas de mort pas écrasement. Il suffit alors de chercher si une voiture est dans le coin et si le pilote de cette voiture est un joueur. Au quel cas on le puni.

plus d'info:
http://www.cfr-arma.net/forum/viewtopic.php?f=14&t=897&start=20
*/

//Nos variables:
_civ = _this select 0;
_killer = _this select 1;

if(IsServer) then {
	//Première condition, si le tueur est un joueur ou une IA dans notre équipe, on ajoute +1 à notre variable:
	 if (isplayer _killer ||side _killer == playerside) then {
		 compteur_civils_tues = compteur_civils_tues + 1;
		 publicVariable"compteur_civils_tues";
		 //Invisible en multijoueur
		 hint"un civil de tué";
	 }else{
	//Si notre tueur n'est pas un joueur ou n'est dans notre camps: on va voir si notre civil est tué par lui même (cf note ci dessus)
		if (_killer == _civ) then {
		//On cherche le véhicule terrestre le plus proche de notre civil mort:
		   _car = getPos _civ nearestObject "LandVehicle";
		   //On récupère l'indentité du pilote
		   _driver = driver _car;
		   //Si le pilote est dans notre camp alors on pénalise en conséquence:
		   if (side _driver == playerside) then {
			  //On enlève un 1point
				compteur_civils_tues = compteur_civils_tues + 1;
				publicVariable"compteur_civils_tues";
				//Invisible en multijoueur
				hint"un civil d'écrasé";
			  };
		   };
	 };
 };